com.google.cloud.dataflow.sdk.runners

## Class DirectPipelineRegistrar.Runner

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DirectPipelineRegistrar.Runner

All Implemented Interfaces:
  PipelineRunnerRegistrar

Enclosing class:
  DirectPipelineRegistrar

    @AutoService(value=PipelineRunnerRegistrar.class)
    public static class DirectPipelineRegistrar.Runner
    extends Object
    implements PipelineRunnerRegistrar

Register the `DirectPipelineRunner`.

### Constructor Summary

Constructors
Constructor and Description
`Runner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<Class<? extends PipelineRunner<?>>>` `getPipelineRunners()` Get the set of `PipelineRunners` to register.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Runner

    public Runner()

### Method Detail

#### getPipelineRunners

    public Iterable<Class<? extends PipelineRunner<?>>> getPipelineRunners()

Description copied from interface: `PipelineRunnerRegistrar`
Get the set of `PipelineRunners` to register.

Specified by:
  `getPipelineRunners` in interface `PipelineRunnerRegistrar`